> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Skill Group API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

Use this API to add a skill group with the given stream ID.

| **Method**        | POST                                                                                                                           |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| **Endpoint**      | `https://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups`                                                         |
| **Content-Type**  | `application/json`                                                                                                             |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token) |
| **API Scope**     | SmartAssist Analytics                                                                                                          |

## Path Parameters

| **Parameter** | **Description**                                                             | **Type**         |
| ------------- | --------------------------------------------------------------------------- | ---------------- |
| `host`        | Environment URL, for example, `https://platform.kore.ai`                    | string, required |
| `BotId`       | BotId or StreamId. You can access it from the App Settings page of the bot. | string, required |

## Sample Request

```
curl --location --request POST 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/skill-groups' \
      --header 'auth: {jwt-code}' \
      --header 'Content-Type: application/json' \
      --data-raw '{
      "name": "Premium Subscriptions",
      "description": "Skill Group For Premium SubScriptions.",
      "color": "#0f0f0f"
  }'
```

## Body Parameters

| **Parameter** | **Description**                                                             | **Type**         |
| ------------- | --------------------------------------------------------------------------- | ---------------- |
| `name`        | Name of the skill group.                                                    | String, required |
| `description` | Brief description of the skill group, up to 200 characters.                 | string, optional |
| `color`       | Color ID for the skill group, up to 200 characters. For example, `sg-4372`. | string, optional |

## Sample Response

```
{
    "id": "620b814ca2344f1caa8cec99",
    "name": "Account Management",
    "description": "Manage Account and its Settings",
    "color": "#f0f0f0"
}
```

***
